> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a webhook configuration



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs put /api/v1/webhooks
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/webhooks:
    put:
      tags:
        - client-api-webhook-rest-resource
      summary: Update a webhook configuration
      operationId: updateWebhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookCreateUpdateRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
components:
  schemas:
    WebhookCreateUpdateRequest:
      type: object
      properties:
        id:
          type: integer
          format: int64
        serviceType:
          type: string
          enum:
            - GENERIC
            - SLACK
            - DISCORD
            - TEAMS
            - WORKATO
        webhookUrl:
          type: string
        description:
          type: string
        eventTypes:
          type: array
          items:
            type: string
            enum:
              - ASSESSMENT_COMPLETED
              - ASSESSMENT_RECERTIFICATION_COMPLETED
              - ASSESSMENT_REMEDIATION_COMPLETED
              - ASSESSMENT_ARTIFACT_UPDATE_COMPLETED
              - DOCS_ONLY_ARTIFACT_UPDATE_COMPLETED
              - ASSESSMENT_REMINDER
              - ASSESSMENT_CANCELLED
              - ASSESSMENT_CANCELLED_BY_AUDITOR
              - ASSESSMENT_AUTOMATICALLY_CANCELLED
              - UPCOMING_RECERTIFICATION
              - RELATIONSHIP_ONBOARDED
              - RISK_ACCEPTED
              - RELATIONSHIP_OVERDUE
              - ARTIFACT_EXPIRING
              - ARTIFACT_EXPIRED
          uniqueItems: true
    Webhook:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        description:
          type: string
        eventTypes:
          type: array
          default: ''
          description: The events that will trigger this webhook.
          items:
            type: string
          uniqueItems: true
        webhookUrl:
          type: string
        serviceType:
          type: string
          enum:
            - GENERIC
            - SLACK
            - DISCORD
            - TEAMS
            - WORKATO

````